#ifndef MANAGEWIDGET_H
#define MANAGEWIDGET_H

#include <QWidget>
#include <QTimer>
#include <QSettings>

namespace Ui {
class ManageWidget;
}

class LotroDatManager;

class ManageWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ManageWidget(LotroDatManager* mgr, QSettings* settings, QWidget *parent = 0);
    ~ManageWidget();

signals:
    void disableMenuItems();
    void enableMenuItems();

public slots:
    void updateUI();

private slots:
    void onLotroManagerProcessFinished(QString, QVector<QVariant>);

    void onLotroManagerInactiveCateroiesListUpdated(QStringList);

    void on_change_folder_button_clicked();

    void on_changeLocaleButton_common_clicked();

    void on_createCoreStatusFile_button_common_clicked();

    void on_initButton_common_clicked();

    void on_deinitButton_common_clicked();

    void on_activate_category_button_clicked();

    void on_deactivate_category_button_clicked();

private:
    LotroDatManager* lotro_manager;
    QSettings* settings;
    Ui::ManageWidget *ui;

    QTimer uiUpdateTimer;
};

#endif // MANAGEWIDGET_H
